class AgentModel {
  int? id;
  String? displayName;
  String? firstName;
  String? lastName;
  String? email;
  String? phone;
  String? thumbnail;
  String? countryCode;
  String? zip;
  String? mainLanguage;
  List<String>? secondaryLanguages;
  _ProblemType? problemType;

  AgentModel(
      {this.id,
      this.displayName,
      this.firstName,
      this.lastName,
      this.email,
      this.phone,
      this.thumbnail,
      this.countryCode,
      this.zip,
      this.mainLanguage,
      this.secondaryLanguages,
      this.problemType});

  AgentModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["displayName"] is String) displayName = json["displayName"];
    if (json["firstName"] is String) firstName = json["firstName"];
    if (json["lastName"] is String) lastName = json["lastName"];
    if (json["email"] is String) email = json["email"];
    if (json["phone"] is String) phone = json["phone"];
    if (json["thumbnail"] is String) thumbnail = json["thumbnail"];
    if (json["countryCode"] is String) countryCode = json["countryCode"];
    if (json["zip"] is String) zip = json["zip"];
    if (json["mainLanguage"] is String) {
      mainLanguage = json["mainLanguage"];
    }
    if (json["secondaryLanguages"] is List) {
      secondaryLanguages = json["secondaryLanguages"] == null
          ? null
          : List<String>.from(json["secondaryLanguages"]);
    }
    if (json["problemType"] is Map) {
      problemType = json["problemType"] == null
          ? null
          : _ProblemType.fromJson(json["problemType"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["displayName"] = displayName;
    data["firstName"] = firstName;
    data["lastName"] = lastName;
    data["email"] = email;
    data["phone"] = phone;
    data["thumbnail"] = thumbnail;
    data["countryCode"] = countryCode;
    data["zip"] = zip;
    data["mainLanguage"] = mainLanguage;
    if (secondaryLanguages != null) {
      data["secondaryLanguages"] = secondaryLanguages;
    }
    if (problemType != null) {
      data["problemType"] = problemType?.toJson();
    }
    return data;
  }
}

class _ProblemType {
  int? id;
  String? label;

  _ProblemType();

  _ProblemType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["label"] is String) label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["label"] = label;
    return data;
  }
}
