class ListTimeFrameModel {
  late List<TimeFrames> timeFrames;
  String? utcModifier;

  ListTimeFrameModel({required this.timeFrames, required this.utcModifier});

  ListTimeFrameModel.fromJson(Map<String, dynamic> json) {
    if (json['timeFrames'] != null) {
      timeFrames = [];
      json['timeFrames'].forEach((v) {
        timeFrames.add(TimeFrames.fromJson(v));
      });
    }
    utcModifier = json['utcModifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['timeFrames'] = timeFrames.map((v) => v.toJson()).toList();
    data['utcModifier'] = utcModifier;
    return data;
  }
}

class TimeFrames {
  late int timeFrame;
  late int booking;

  TimeFrames({required this.timeFrame, required this.booking});

  TimeFrames.fromJson(Map<String, dynamic> json) {
    timeFrame = json['timeFrame'];
    booking = json['booking'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['timeFrame'] = timeFrame;
    data['booking'] = booking;
    return data;
  }
}
