import 'br_place_filter.dart';

class BrPlaceModel {
  String? id;
  String? name;
  String? description;
  String? subtitle;
  String? pictureUrl;
  int? globalNote;
  double? lat;
  double? lng;
  String? street1;
  String? street2;
  String? zip;
  String? city;
  String? state;
  String? country;
  String? catName;
  String? colorCode;
  String? colorCode2;
  String? catThumbnail;
  List<BrPlaceFilterModel>? filters;

  BrPlaceModel(
      {this.id,
      this.name,
      this.description,
      this.subtitle,
      this.pictureUrl,
      this.globalNote,
      this.lat,
      this.lng,
      this.street1,
      this.street2,
      this.zip,
      this.city,
      this.state,
      this.country,
      this.catName,
      this.colorCode,
      this.colorCode2,
      this.catThumbnail,
      this.filters});

  bool favorite = false;

  BrPlaceModel.fromJson(Map<String, dynamic> json) {
    favorite = json["favorite"] == 1;
    if (json["id"] is String) id = json["id"];
    if (json["name"] is String) name = json["name"];
    if (json["description"] is String) description = json["description"];
    if (json["subtitle"] is String) subtitle = json["subtitle"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["globalNote"] is int) globalNote = json["globalNote"];
    if (json["lat"] is double) lat = json["lat"];
    if (json["lng"] is double) lng = json["lng"];
    if (json["street1"] is String) street1 = json["street1"];
    if (json["street2"] is String) street2 = json["street2"];
    if (json["zip"] is String) zip = json["zip"];
    if (json["city"] is String) city = json["city"];
    if (json["state"] is String) state = json["state"];
    if (json["country"] is String) country = json["country"];
    if (json["catName"] is String) catName = json["catName"];
    if (json["colorCode"] is String) colorCode = json["colorCode"];
    if (json["colorCode2"] is String) colorCode2 = json["colorCode2"];
    if (json["catThumbnail"] is String) catThumbnail = json["catThumbnail"];
    if (json["filters"] is List) {
      filters = json["filters"] == null
          ? []
          : (json["filters"] as List).map((e) => BrPlaceFilterModel.fromJson(e)).toList();
    } else {
      filters = [];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["name"] = name;
    data["description"] = description;
    data["subtitle"] = subtitle;
    data["pictureUrl"] = pictureUrl;
    data["globalNote"] = globalNote;
    data["lat"] = lat;
    data["lng"] = lng;
    data["street1"] = street1;
    data["street2"] = street2;
    data["zip"] = zip;
    data["city"] = city;
    data["state"] = state;
    data["country"] = country;
    data["catName"] = catName;
    data["colorCode"] = colorCode;
    data["colorCode2"] = colorCode2;
    data["catThumbnail"] = catThumbnail;
    if (filters != null) data["filters"] = filters?.map((e) => e.toJson()).toList();
    return data;
  }
}
