import '../resources.dart';

class CalmModel {
  String? id;
  String? calmName;
  String? pictureUrl;
  String? videoUrl;
  dynamic datetime;
  int? isUniversal;
  int? cardType;
  int? duration;
  double? price;
  String? currency;
  int? freeSampleFrom;
  int? freeSampleTo;
  dynamic rating;
  int? numberOfSubscriber;
  CalmSubscriber? creator;
  CalmCate? category;

  CalmModel(
      {this.id,
      this.calmName,
      this.pictureUrl,
      this.videoUrl,
      this.datetime,
      this.isUniversal,
      this.cardType,
      this.duration,
      this.price,
      this.currency,
      this.freeSampleFrom,
      this.freeSampleTo,
      this.rating,
      this.numberOfSubscriber,
      this.creator,
      this.category});

  CalmModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["calmName"] is String) calmName = json["calmName"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["videoUrl"] is String) videoUrl = json["videoUrl"];
    datetime = json["datetime"];
    if (json["isUniversal"] is int) isUniversal = json["isUniversal"];
    if (json["cardType"] is int) cardType = json["cardType"];
    if (json["duration"] is int) duration = json["duration"];
    if (json["price"] is double) price = json["price"];
    if (json["currency"] is String) currency = json["currency"];
    if (json["freeSampleFrom"] is int) {
      freeSampleFrom = json["freeSampleFrom"];
    }
    if (json["freeSampleTo"] is int) freeSampleTo = json["freeSampleTo"];
    rating = json["rating"];
    if (json["numberOfSubscriber"] is int) {
      numberOfSubscriber = json["numberOfSubscriber"];
    }
    if (json["category"] is Map) {
      category =
          json["category"] == null ? null : CalmCate.fromJson(json["category"]);
    }
    if (json["creator"] is Map) {
      creator = json["creator"] == null
          ? null
          : CalmSubscriber.fromJson(json["category"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["calmName"] = calmName;
    data["pictureUrl"] = pictureUrl;
    data["videoUrl"] = videoUrl;
    data["datetime"] = datetime;
    data["isUniversal"] = isUniversal;
    data["cardType"] = cardType;
    data["duration"] = duration;
    data["price"] = price;
    data["currency"] = currency;
    data["freeSampleFrom"] = freeSampleFrom;
    data["freeSampleTo"] = freeSampleTo;
    data["rating"] = rating;
    data["numberOfSubscriber"] = numberOfSubscriber;
    data["creator"] = creator?.toJson();
    if (category != null) data["category"] = category?.toJson();
    return data;
  }
}
