class DigicodeCodeModel {
  int? id;
  String? code;
  int? activ;
  String? label;
  int? createdAt;
  int? accessType;
  int? digicodeId;
  int? accessCounter;
  String? uniqueId;
  int? timeStart;
  int? timeStop;
  int? validDays;
  int? dateTimeStart;
  int? dateTimeStop;
  String? accessTypeLabel;
  String? placeCity;
  String? placeLabel;
  int? placeLng;
  int? placeLat;
  String? placeCountry;
  String? placeZip;
  String? placeStreet1;
  String? placeStreet2;

  DigicodeCodeModel(
      {this.id,
      this.code,
      this.activ,
      this.label,
      this.createdAt,
      this.accessType,
      this.digicodeId,
      this.accessCounter,
      this.uniqueId,
      this.timeStart,
      this.timeStop,
      this.validDays,
      this.dateTimeStart,
      this.dateTimeStop,
      this.accessTypeLabel,
      this.placeCity,
      this.placeLabel,
      this.placeLng,
      this.placeLat,
      this.placeCountry,
      this.placeZip,
      this.placeStreet1,
      this.placeStreet2});
      
  String address() =>
      ((placeStreet1 ?? '').isNotEmpty ? "$placeStreet1, " : "") +
      ((placeCity ?? '').isNotEmpty ? "$placeCity, " : "") +
      (placeCountry ?? '');

  DigicodeCodeModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["code"] is String) code = json["code"];
    if (json["activ"] is int) activ = json["activ"];
    if (json["label"] is String) label = json["label"];
    if (json["createdAt"] is int) createdAt = json["createdAt"];
    if (json["accessType"] is int) accessType = json["accessType"];
    if (json["digicodeId"] is int) digicodeId = json["digicodeId"];
    if (json["accessCounter"] is int) {
      accessCounter = json["accessCounter"];
    }
    if (json["uniqueId"] is String) uniqueId = json["uniqueId"];
    if (json["timeStart"] is int) timeStart = json["timeStart"];
    if (json["timeStop"] is int) timeStop = json["timeStop"];
    if (json["validDays"] is int) validDays = json["validDays"];
    if (json["dateTimeStart"] is int) {
      dateTimeStart = json["dateTimeStart"];
    }
    if (json["dateTimeStop"] is int) dateTimeStop = json["dateTimeStop"];
    if (json["accessTypeLabel"] is String) {
      accessTypeLabel = json["accessTypeLabel"];
    }
    if (json["placeCity"] is String) placeCity = json["placeCity"];
    if (json["placeLabel"] is String) placeLabel = json["placeLabel"];
    if (json["placeLng"] is int) placeLng = json["placeLng"];
    if (json["placeLat"] is int) placeLat = json["placeLat"];
    if (json["placeCountry"] is String) {
      placeCountry = json["placeCountry"];
    }
    if (json["placeZip"] is String) placeZip = json["placeZip"];
    if (json["placeStreet1"] is String) {
      placeStreet1 = json["placeStreet1"];
    }
    if (json["placeStreet2"] is String) {
      placeStreet2 = json["placeStreet2"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["code"] = code;
    data["activ"] = activ;
    data["label"] = label;
    data["createdAt"] = createdAt;
    data["accessType"] = accessType;
    data["digicodeId"] = digicodeId;
    data["accessCounter"] = accessCounter;
    data["uniqueId"] = uniqueId;
    data["timeStart"] = timeStart;
    data["timeStop"] = timeStop;
    data["validDays"] = validDays;
    data["dateTimeStart"] = dateTimeStart;
    data["dateTimeStop"] = dateTimeStop;
    data["accessTypeLabel"] = accessTypeLabel;
    data["placeCity"] = placeCity;
    data["placeLabel"] = placeLabel;
    data["placeLng"] = placeLng;
    data["placeLat"] = placeLat;
    data["placeCountry"] = placeCountry;
    data["placeZip"] = placeZip;
    data["placeStreet1"] = placeStreet1;
    data["placeStreet2"] = placeStreet2;
    return data;
  }
}
