
class PeEventModel {
  String? id;
  String? title;
  String? pictureUrl;
  int? datetimeStart;
  int? datetimeStop;
  int? ownerId;
  String? ownerDisplayName;
  List<PEUsers>? users;

  PeEventModel(
      {this.id,
      this.title,
      this.pictureUrl,
      this.datetimeStart,
      this.datetimeStop,
      this.ownerId,
      this.ownerDisplayName,
      this.users});

  PeEventModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["title"] is String) title = json["title"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["datetimeStart"] is int) {
      datetimeStart = json["datetimeStart"];
    }
    if (json["datetimeStop"] is int) datetimeStop = json["datetimeStop"];
    if (json["ownerId"] is int) ownerId = json["ownerId"];
    if (json["ownerdisplayName"] is String) {
      ownerDisplayName = json["ownerdisplayName"];
    }
    if (json["users"] is List) {
      users = json["users"] == null
          ? null
          : (json["users"] as List).map((e) => PEUsers.fromJson(e)).toList();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["title"] = title;
    data["pictureUrl"] = pictureUrl;
    data["datetimeStart"] = datetimeStart;
    data["datetimeStop"] = datetimeStop;
    data["ownerId"] = ownerId;
    data["ownerdisplayName"] = ownerDisplayName;
    if (users != null) {
      data["users"] = users?.map((e) => e.toJson()).toList();
    }
    return data;
  }
}

class PEUsers {
  int? id;
  String? displayName;
  String? thumbnail;

  PEUsers({this.id, this.displayName, this.thumbnail});

  PEUsers.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["displayName"] is String) displayName = json["displayName"];
    if (json["thumbnail"] is String) thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["displayName"] = displayName;
    data["thumbnail"] = thumbnail;
    return data;
  }
}
