import 'package:flutter/material.dart';
import 'package:_private_core/_private_core.dart';

class MissionTypeModel {
  int? id;
  String? missionTypeName;
  String? instruction;
  dynamic shortDescription;
  String? teaserVideoUrl;
  String? tutoMissionTypeVideoUrl;
  String? tutoSellerVideoUrl;
  String? pictureUrl;
  String? colorCode;
  // as ExpandableNotifierState
  GlobalKey expandableKey = GlobalKey();
  dynamic stateKey = GlobalKey();

  Color? get color {
    if (colorCode != null) return hexColor(colorCode!);
    return null;
  }

  MissionTypeModel(
      {this.id,
      this.missionTypeName,
      this.instruction,
      this.shortDescription,
      this.teaserVideoUrl,
      this.tutoMissionTypeVideoUrl,
      this.tutoSellerVideoUrl,
      this.pictureUrl,
      this.colorCode});

  MissionTypeModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["missionTypeName"] is String) {
      missionTypeName = json["missionTypeName"];
    }
    if (json["instruction"] is String) instruction = json["instruction"];
    shortDescription = json["shortDescription"];
    if (json["teaserVideoUrl"] is String) {
      teaserVideoUrl = json["teaserVideoUrl"];
    }
    if (json["tutoMissionTypeVideoUrl"] is String) {
      tutoMissionTypeVideoUrl = json["tutoMissionTypeVideoUrl"];
    }
    if (json["tutoSellerVideoUrl"] is String) {
      tutoSellerVideoUrl = json["tutoSellerVideoUrl"];
    }
    pictureUrl = json["pictureUrl"];
    colorCode = json["colorCode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["missionTypeName"] = missionTypeName;
    data["instruction"] = instruction;
    data["shortDescription"] = shortDescription;
    data["teaserVideoUrl"] = teaserVideoUrl;
    data["tutoMissionTypeVideoUrl"] = tutoMissionTypeVideoUrl;
    data["tutoSellerVideoUrl"] = tutoSellerVideoUrl;
    data["pictureUrl"] = pictureUrl;
    data["colorCode"] = colorCode;
    return data;
  }
}
