class NumberOfSaleModel {
  int? totalSales;
  List<NumberOfSalesByMissionType>? numberOfSalesByMissionType;

  NumberOfSaleModel({this.totalSales, this.numberOfSalesByMissionType});

  NumberOfSaleModel.fromJson(Map<String, dynamic> json) {
    if (json["totalSales"] is int) totalSales = json["totalSales"];
    if (json["numberOfSalesByMissionType"] is List) {
      numberOfSalesByMissionType =
          json["numberOfSalesByMissionType"] == null
              ? null
              : (json["numberOfSalesByMissionType"] as List)
                  .map((e) => NumberOfSalesByMissionType.fromJson(e))
                  .toList();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["totalSales"] = totalSales;
    if (numberOfSalesByMissionType != null) {
      data["numberOfSalesByMissionType"] =
          numberOfSalesByMissionType?.map((e) => e.toJson()).toList();
    }
    return data;
  }
}

class NumberOfSalesByMissionType {
  int? id;
  String? missionTypeName;
  int? numberOfSales;

  NumberOfSalesByMissionType(
      {this.id, this.missionTypeName, this.numberOfSales});

  NumberOfSalesByMissionType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["missionTypeName"] is String) {
      missionTypeName = json["missionTypeName"];
    }
    if (json["numberOfSales"] is int) {
      numberOfSales = json["numberOfSales"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["missionTypeName"] = missionTypeName;
    data["numberOfSales"] = numberOfSales;
    return data;
  }
}
