import '../resources.dart';

class PlaceRepo {
  PlaceRepo._();

  static PlaceRepo? _instance;

  factory PlaceRepo([AppApi? api]) {
    _instance ??= PlaceRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<PlaceModel>> getPlacesFromPro() async {
    NetworkResponse response = await _api.getPlacesFromPro({});
    return response.data ?? [];
  }

  Future<PlaceModel?> createPlace(params) async {
    NetworkResponse response = await _api.createPlace(params);
    return response.data;
  }

  Future<bool> updatePlace(params) async {
    NetworkResponse response = await _api.updatePlace(params);
    return response.data ?? false;
  }

  Future<bool> deletePlace(params) async {
    NetworkResponse response = await _api.deletePlace(params);
    return response.data ?? false;
  }

  Future<List<PlaceCatModel>> getPlaceCatByLang(local) async {
    NetworkResponse response = await _api.getPlaceCatByLang({'local': local});
    return response.data ?? [];
  }
}
