import 'package:_private_core/_private_core.dart';
import '../resources.dart';

class PmbDevicesRepo {
  PmbDevicesRepo._();

  static PmbDevicesRepo? _instance;

  factory PmbDevicesRepo([AppApi? api]) {
    _instance ??= PmbDevicesRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<PmbDevice>> getPmbDevicesAroundMe(lat, lng,
      [distance = 10000000]) async {
    NetworkResponse response = await _api.getPmbDevicesAroundMe({
      'lat': lat,
      'lng': lng,
      'distance': distance,
      'languageCode': appPrefs.languageCode,
    });
    return response.data ?? [];
  }
}
