class VimeoConfig {
  String? cdnUrl;
  String? vimeoApiUrl;
  Request? request;
  String? playerUrl;
  Video? video;
  VimeoUser? user;
  Seo? seo;
  Embed? embed;
  int? view;
  String? vimeoUrl;

  VimeoConfig(
      {this.cdnUrl,
      this.vimeoApiUrl,
      this.request,
      this.playerUrl,
      this.video,
      this.user,
      this.seo,
      this.embed,
      this.view,
      this.vimeoUrl});

  VimeoConfig.fromJson(Map<String, dynamic> json) {
    if (json["cdn_url"] is String) cdnUrl = json["cdn_url"];
    if (json["vimeo_api_url"] is String) {
      vimeoApiUrl = json["vimeo_api_url"];
    }
    if (json["request"] is Map) {
      request =
          json["request"] == null ? null : Request.fromJson(json["request"]);
    }
    if (json["player_url"] is String) playerUrl = json["player_url"];
    if (json["video"] is Map) {
      video = json["video"] == null ? null : Video.fromJson(json["video"]);
    }
    if (json["user"] is Map) {
      user = json["user"] == null ? null : VimeoUser.fromJson(json["user"]);
    }
    if (json["seo"] is Map) {
      seo = json["seo"] == null ? null : Seo.fromJson(json["seo"]);
    }
    if (json["embed"] is Map) {
      embed = json["embed"] == null ? null : Embed.fromJson(json["embed"]);
    }
    if (json["view"] is int) view = json["view"];
    if (json["vimeo_url"] is String) vimeoUrl = json["vimeo_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["cdn_url"] = cdnUrl;
    data["vimeo_api_url"] = vimeoApiUrl;
    if (request != null) data["request"] = request?.toJson();
    data["player_url"] = playerUrl;
    if (video != null) data["video"] = video?.toJson();
    if (user != null) data["user"] = user?.toJson();
    if (seo != null) data["seo"] = seo?.toJson();
    if (embed != null) data["embed"] = embed?.toJson();
    data["view"] = view;
    data["vimeo_url"] = vimeoUrl;
    return data;
  }
}

class Embed {
  int? autopause;
  int? playsinline;
  VimeoSettings? settings;
  String? color;
  String? texttrack;
  int? onSite;
  String? appId;
  int? muted;
  int? dnt;
  String? playerId;
  dynamic api;
  bool? editor;
  String? context;
  int? keyboard;
  String? outro;
  int? transparent;
  int? logPlays;
  dynamic quality;
  int? time;
  int? loop;
  int? autoplay;

  Embed(
      {this.autopause,
      this.playsinline,
      this.settings,
      this.color,
      this.texttrack,
      this.onSite,
      this.appId,
      this.muted,
      this.dnt,
      this.playerId,
      this.api,
      this.editor,
      this.context,
      this.keyboard,
      this.outro,
      this.transparent,
      this.logPlays,
      this.quality,
      this.time,
      this.loop,
      this.autoplay});

  Embed.fromJson(Map<String, dynamic> json) {
    if (json["autopause"] is int) autopause = json["autopause"];
    if (json["playsinline"] is int) playsinline = json["playsinline"];
    if (json["settings"] is Map) {
      settings = json["settings"] == null
          ? null
          : VimeoSettings.fromJson(json["settings"]);
    }
    if (json["color"] is String) color = json["color"];
    if (json["texttrack"] is String) texttrack = json["texttrack"];
    if (json["on_site"] is int) onSite = json["on_site"];
    if (json["app_id"] is String) appId = json["app_id"];
    if (json["muted"] is int) muted = json["muted"];
    if (json["dnt"] is int) dnt = json["dnt"];
    if (json["player_id"] is String) playerId = json["player_id"];
    api = json["api"];
    if (json["editor"] is bool) editor = json["editor"];
    if (json["context"] is String) context = json["context"];
    if (json["keyboard"] is int) keyboard = json["keyboard"];
    if (json["outro"] is String) outro = json["outro"];
    if (json["transparent"] is int) transparent = json["transparent"];
    if (json["log_plays"] is int) logPlays = json["log_plays"];
    quality = json["quality"];
    if (json["time"] is int) time = json["time"];
    if (json["loop"] is int) loop = json["loop"];
    if (json["autoplay"] is int) autoplay = json["autoplay"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["autopause"] = autopause;
    data["playsinline"] = playsinline;
    if (settings != null) data["settings"] = settings?.toJson();
    data["color"] = color;
    data["texttrack"] = texttrack;
    data["on_site"] = onSite;
    data["app_id"] = appId;
    data["muted"] = muted;
    data["dnt"] = dnt;
    data["player_id"] = playerId;
    data["api"] = api;
    data["editor"] = editor;
    data["context"] = context;
    data["keyboard"] = keyboard;
    data["outro"] = outro;
    data["transparent"] = transparent;
    data["log_plays"] = logPlays;
    data["quality"] = quality;
    data["time"] = time;
    data["loop"] = loop;
    data["autoplay"] = autoplay;
    return data;
  }
}

class VimeoSettings {
  int? fullscreen;
  int? byline;
  int? like;
  int? playbar;
  int? title;
  int? color;
  int? speed;
  int? watchLater;
  int? share;
  int? scaling;
  int? spatialCompass;
  int? collections;
  int? portrait;
  int? logo;
  int? embed;
  Badge? badge;
  int? spatialLabel;
  int? volume;

  VimeoSettings(
      {this.fullscreen,
      this.byline,
      this.like,
      this.playbar,
      this.title,
      this.color,
      this.speed,
      this.watchLater,
      this.share,
      this.scaling,
      this.spatialCompass,
      this.collections,
      this.portrait,
      this.logo,
      this.embed,
      this.badge,
      this.spatialLabel,
      this.volume});

  VimeoSettings.fromJson(Map<String, dynamic> json) {
    if (json["fullscreen"] is int) fullscreen = json["fullscreen"];
    if (json["byline"] is int) byline = json["byline"];
    if (json["like"] is int) like = json["like"];
    if (json["playbar"] is int) playbar = json["playbar"];
    if (json["title"] is int) title = json["title"];
    if (json["color"] is int) color = json["color"];
    if (json["speed"] is int) speed = json["speed"];
    if (json["watch_later"] is int) watchLater = json["watch_later"];
    if (json["share"] is int) share = json["share"];
    if (json["scaling"] is int) scaling = json["scaling"];
    if (json["spatial_compass"] is int) {
      spatialCompass = json["spatial_compass"];
    }
    if (json["collections"] is int) collections = json["collections"];
    if (json["portrait"] is int) portrait = json["portrait"];
    if (json["logo"] is int) logo = json["logo"];
    if (json["embed"] is int) embed = json["embed"];
    if (json["badge"] is Map) {
      badge = json["badge"] == null ? null : Badge.fromJson(json["badge"]);
    }
    if (json["spatial_label"] is int) spatialLabel = json["spatial_label"];
    if (json["volume"] is int) volume = json["volume"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["fullscreen"] = fullscreen;
    data["byline"] = byline;
    data["like"] = like;
    data["playbar"] = playbar;
    data["title"] = title;
    data["color"] = color;
    data["speed"] = speed;
    data["watch_later"] = watchLater;
    data["share"] = share;
    data["scaling"] = scaling;
    data["spatial_compass"] = spatialCompass;
    data["collections"] = collections;
    data["portrait"] = portrait;
    data["logo"] = logo;
    data["embed"] = embed;
    if (badge != null) data["badge"] = badge?.toJson();
    data["spatial_label"] = spatialLabel;
    data["volume"] = volume;
    return data;
  }
}

class Badge {
  String? name;
  String? img;
  String? svg;
  int? height;
  int? width;
  String? link;
  String? img2X;
  String? margin;
  int? id;

  Badge(
      {this.name,
      this.img,
      this.svg,
      this.height,
      this.width,
      this.link,
      this.img2X,
      this.margin,
      this.id});

  Badge.fromJson(Map<String, dynamic> json) {
    if (json["name"] is String) name = json["name"];
    if (json["img"] is String) img = json["img"];
    if (json["svg"] is String) svg = json["svg"];
    if (json["height"] is int) height = json["height"];
    if (json["width"] is int) width = json["width"];
    if (json["link"] is String) link = json["link"];
    if (json["img_2x"] is String) img2X = json["img_2x"];
    if (json["margin"] is String) margin = json["margin"];
    if (json["id"] is int) id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["name"] = name;
    data["img"] = img;
    data["svg"] = svg;
    data["height"] = height;
    data["width"] = width;
    data["link"] = link;
    data["img_2x"] = img2X;
    data["margin"] = margin;
    data["id"] = id;
    return data;
  }
}

class Seo {
  String? uploadDate;
  String? embedUrl;
  String? description;
  String? thumbnail;

  Seo({this.uploadDate, this.embedUrl, this.description, this.thumbnail});

  Seo.fromJson(Map<String, dynamic> json) {
    if (json["upload_date"] is String) uploadDate = json["upload_date"];
    if (json["embed_url"] is String) embedUrl = json["embed_url"];
    if (json["description"] is String) description = json["description"];
    if (json["thumbnail"] is String) thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["upload_date"] = uploadDate;
    data["embed_url"] = embedUrl;
    data["description"] = description;
    data["thumbnail"] = thumbnail;
    return data;
  }
}

class VimeoUser {
  int? teamOriginUserId;
  int? liked;
  String? accountType;
  dynamic vimeoApiClientToken;
  dynamic vimeoApiInteractionTokens;
  int? teamId;
  int? watchLater;
  int? owner;
  int? id;
  int? mod;
  int? privateModeEnabled;
  int? loggedIn;

  VimeoUser(
      {this.teamOriginUserId,
      this.liked,
      this.accountType,
      this.vimeoApiClientToken,
      this.vimeoApiInteractionTokens,
      this.teamId,
      this.watchLater,
      this.owner,
      this.id,
      this.mod,
      this.privateModeEnabled,
      this.loggedIn});

  VimeoUser.fromJson(Map<String, dynamic> json) {
    if (json["team_origin_user_id"] is int) {
      teamOriginUserId = json["team_origin_user_id"];
    }
    if (json["liked"] is int) liked = json["liked"];
    if (json["account_type"] is String) accountType = json["account_type"];
    vimeoApiClientToken = json["vimeo_api_client_token"];
    vimeoApiInteractionTokens = json["vimeo_api_interaction_tokens"];
    if (json["team_id"] is int) teamId = json["team_id"];
    if (json["watch_later"] is int) watchLater = json["watch_later"];
    if (json["owner"] is int) owner = json["owner"];
    if (json["id"] is int) id = json["id"];
    if (json["mod"] is int) mod = json["mod"];
    if (json["private_mode_enabled"] is int) {
      privateModeEnabled = json["private_mode_enabled"];
    }
    if (json["logged_in"] is int) loggedIn = json["logged_in"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["team_origin_user_id"] = teamOriginUserId;
    data["liked"] = liked;
    data["account_type"] = accountType;
    data["vimeo_api_client_token"] = vimeoApiClientToken;
    data["vimeo_api_interaction_tokens"] = vimeoApiInteractionTokens;
    data["team_id"] = teamId;
    data["watch_later"] = watchLater;
    data["owner"] = owner;
    data["id"] = id;
    data["mod"] = mod;
    data["private_mode_enabled"] = privateModeEnabled;
    data["logged_in"] = loggedIn;
    return data;
  }
}

class Video {
  Rating? rating;
  Version? version;
  int? height;
  int? duration;
  Thumbs? thumbs;
  VimeoOwner? owner;
  int? id;
  String? embedCode;
  String? title;
  String? shareUrl;
  int? width;
  String? embedPermission;
  int? fps;
  int? spatial;
  dynamic liveEvent;
  int? allowHd;
  int? hd;
  dynamic lang;
  int? defaultToHd;
  String? url;
  String? privacy;
  dynamic unlistedHash;

  Video(
      {this.rating,
      this.version,
      this.height,
      this.duration,
      this.thumbs,
      this.owner,
      this.id,
      this.embedCode,
      this.title,
      this.shareUrl,
      this.width,
      this.embedPermission,
      this.fps,
      this.spatial,
      this.liveEvent,
      this.allowHd,
      this.hd,
      this.lang,
      this.defaultToHd,
      this.url,
      this.privacy,
      this.unlistedHash});

  Video.fromJson(Map<String, dynamic> json) {
    if (json["rating"] is Map) {
      rating = json["rating"] == null ? null : Rating.fromJson(json["rating"]);
    }
    if (json["version"] is Map) {
      version =
          json["version"] == null ? null : Version.fromJson(json["version"]);
    }
    if (json["height"] is int) height = json["height"];
    if (json["duration"] is int) duration = json["duration"];
    if (json["thumbs"] is Map)
      this.thumbs =
          json["thumbs"] == null ? null : Thumbs.fromJson(json["thumbs"]);
    if (json["owner"] is Map) {
      owner = json["owner"] == null ? null : VimeoOwner.fromJson(json["owner"]);
    }
    if (json["id"] is int) id = json["id"];
    if (json["embed_code"] is String) embedCode = json["embed_code"];
    if (json["title"] is String) title = json["title"];
    if (json["share_url"] is String) shareUrl = json["share_url"];
    if (json["width"] is int) width = json["width"];
    if (json["embed_permission"] is String) {
      embedPermission = json["embed_permission"];
    }
    if (json["fps"] is int) fps = json["fps"];
    if (json["spatial"] is int) spatial = json["spatial"];
    liveEvent = json["live_event"];
    if (json["allow_hd"] is int) allowHd = json["allow_hd"];
    if (json["hd"] is int) hd = json["hd"];
    lang = json["lang"];
    if (json["default_to_hd"] is int) defaultToHd = json["default_to_hd"];
    if (json["url"] is String) url = json["url"];
    if (json["privacy"] is String) privacy = json["privacy"];
    unlistedHash = json["unlisted_hash"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (rating != null) data["rating"] = rating?.toJson();
    if (version != null) data["version"] = version?.toJson();
    data["height"] = height;
    data["duration"] = duration;
    if (this.thumbs != null) data["thumbs"] = this.thumbs?.toJson();
    if (owner != null) data["owner"] = owner?.toJson();
    data["id"] = id;
    data["embed_code"] = embedCode;
    data["title"] = title;
    data["share_url"] = shareUrl;
    data["width"] = width;
    data["embed_permission"] = embedPermission;
    data["fps"] = fps;
    data["spatial"] = spatial;
    data["live_event"] = liveEvent;
    data["allow_hd"] = allowHd;
    data["hd"] = hd;
    data["lang"] = lang;
    data["default_to_hd"] = defaultToHd;
    data["url"] = url;
    data["privacy"] = privacy;
    data["unlisted_hash"] = unlistedHash;
    return data;
  }
}

class VimeoOwner {
  String? accountType;
  String? name;
  String? img;
  String? url;
  String? img2X;
  int? id;

  VimeoOwner(
      {this.accountType, this.name, this.img, this.url, this.img2X, this.id});

  VimeoOwner.fromJson(Map<String, dynamic> json) {
    if (json["account_type"] is String) accountType = json["account_type"];
    if (json["name"] is String) name = json["name"];
    if (json["img"] is String) img = json["img"];
    if (json["url"] is String) url = json["url"];
    if (json["img_2x"] is String) img2X = json["img_2x"];
    if (json["id"] is int) id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["account_type"] = accountType;
    data["name"] = name;
    data["img"] = img;
    data["url"] = url;
    data["img_2x"] = img2X;
    data["id"] = id;
    return data;
  }
}

class Version {
  dynamic current;
  dynamic available;

  Version({this.current, this.available});

  Version.fromJson(Map<String, dynamic> json) {
    current = json["current"];
    available = json["available"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["current"] = current;
    data["available"] = available;
    return data;
  }
}

class Rating {
  int? id;

  Rating({this.id});

  Rating.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    return data;
  }
}

class Request {
  Files? files;
  String? lang;
  Sentry? sentry;
  ThumbPreview? thumbPreview;
  dynamic referrer;
  String? cookieDomain;
  int? timestamp;
  GcDebug? gcDebug;
  int? expires;
  List<TextTracks>? textTracks;
  Client? client;
  String? currency;
  String? session;
  Cookie? cookie;
  Build? build;
  Urls? urls;
  String? signature;
  Flags? flags;
  String? country;
  FileCodecs? fileCodecs;
  AbTests? abTests;

  Request(
      {this.files,
      this.lang,
      this.sentry,
      this.thumbPreview,
      this.referrer,
      this.cookieDomain,
      this.timestamp,
      this.gcDebug,
      this.expires,
      this.textTracks,
      this.client,
      this.currency,
      this.session,
      this.cookie,
      this.build,
      this.urls,
      this.signature,
      this.flags,
      this.country,
      this.fileCodecs,
      this.abTests});

  Request.fromJson(Map<String, dynamic> json) {
    if (json["files"] is Map) {
      files = json["files"] == null ? null : Files.fromJson(json["files"]);
    }
    if (json["lang"] is String) lang = json["lang"];
    if (json["sentry"] is Map) {
      sentry = json["sentry"] == null ? null : Sentry.fromJson(json["sentry"]);
    }
    if (json["thumb_preview"] is Map) {
      thumbPreview = json["thumb_preview"] == null
          ? null
          : ThumbPreview.fromJson(json["thumb_preview"]);
    }
    referrer = json["referrer"];
    if (json["cookie_domain"] is String) {
      cookieDomain = json["cookie_domain"];
    }
    if (json["timestamp"] is int) timestamp = json["timestamp"];
    if (json["gc_debug"] is Map) {
      gcDebug =
          json["gc_debug"] == null ? null : GcDebug.fromJson(json["gc_debug"]);
    }
    if (json["expires"] is int) expires = json["expires"];
    if (json["text_tracks"] is List) {
      textTracks = json["text_tracks"] == null
          ? null
          : (json["text_tracks"] as List)
              .map((e) => TextTracks.fromJson(e))
              .toList();
    }
    if (json["client"] is Map) {
      client = json["client"] == null ? null : Client.fromJson(json["client"]);
    }
    if (json["currency"] is String) currency = json["currency"];
    if (json["session"] is String) session = json["session"];
    if (json["cookie"] is Map) {
      cookie = json["cookie"] == null ? null : Cookie.fromJson(json["cookie"]);
    }
    if (json["build"] is Map) {
      build = json["build"] == null ? null : Build.fromJson(json["build"]);
    }
    if (json["urls"] is Map) {
      urls = json["urls"] == null ? null : Urls.fromJson(json["urls"]);
    }
    if (json["signature"] is String) signature = json["signature"];
    if (json["flags"] is Map) {
      flags = json["flags"] == null ? null : Flags.fromJson(json["flags"]);
    }
    if (json["country"] is String) country = json["country"];
    if (json["file_codecs"] is Map) {
      fileCodecs = json["file_codecs"] == null
          ? null
          : FileCodecs.fromJson(json["file_codecs"]);
    }
    if (json["ab_tests"] is Map) {
      abTests =
          json["ab_tests"] == null ? null : AbTests.fromJson(json["ab_tests"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (files != null) data["files"] = files?.toJson();
    data["lang"] = lang;
    if (sentry != null) data["sentry"] = sentry?.toJson();
    if (thumbPreview != null) {
      data["thumb_preview"] = thumbPreview?.toJson();
    }
    data["referrer"] = referrer;
    data["cookie_domain"] = cookieDomain;
    data["timestamp"] = timestamp;
    if (gcDebug != null) data["gc_debug"] = gcDebug?.toJson();
    data["expires"] = expires;
    if (textTracks != null) {
      data["text_tracks"] = textTracks?.map((e) => e.toJson()).toList();
    }
    if (client != null) data["client"] = client?.toJson();
    data["currency"] = currency;
    data["session"] = session;
    if (cookie != null) data["cookie"] = cookie?.toJson();
    if (build != null) data["build"] = build?.toJson();
    if (urls != null) data["urls"] = urls?.toJson();
    data["signature"] = signature;
    if (flags != null) data["flags"] = flags?.toJson();
    data["country"] = country;
    if (fileCodecs != null) {
      data["file_codecs"] = fileCodecs?.toJson();
    }
    if (abTests != null) data["ab_tests"] = abTests?.toJson();
    return data;
  }
}

class AbTests {
  Chromecast? chromecast;
  StatsFresnel? statsFresnel;
  LlhlsTimeout? llhlsTimeout;
  Cmcd? cmcd;

  AbTests({this.chromecast, this.statsFresnel, this.llhlsTimeout, this.cmcd});

  AbTests.fromJson(Map<String, dynamic> json) {
    if (json["chromecast"] is Map) {
      chromecast = json["chromecast"] == null
          ? null
          : Chromecast.fromJson(json["chromecast"]);
    }
    if (json["stats_fresnel"] is Map) {
      statsFresnel = json["stats_fresnel"] == null
          ? null
          : StatsFresnel.fromJson(json["stats_fresnel"]);
    }
    if (json["llhls_timeout"] is Map) {
      llhlsTimeout = json["llhls_timeout"] == null
          ? null
          : LlhlsTimeout.fromJson(json["llhls_timeout"]);
    }
    if (json["cmcd"] is Map) {
      cmcd = json["cmcd"] == null ? null : Cmcd.fromJson(json["cmcd"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (chromecast != null) data["chromecast"] = chromecast?.toJson();
    if (statsFresnel != null) {
      data["stats_fresnel"] = statsFresnel?.toJson();
    }
    if (llhlsTimeout != null) {
      data["llhls_timeout"] = llhlsTimeout?.toJson();
    }
    if (cmcd != null) data["cmcd"] = cmcd?.toJson();
    return data;
  }
}

class Cmcd {
  bool? track;
  Data3? data;
  bool? group;

  Cmcd({this.track, this.data, this.group});

  Cmcd.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) track = json["track"];
    if (json["data"] is Map) {
      data = json["data"] == null ? null : Data3.fromJson(json["data"]);
    }
    if (json["group"] is bool) group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["track"] = track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = group;
    return data;
  }
}

class Data3 {
  Data3();

  Data3.fromJson(Map<String, dynamic> json);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};

    return data;
  }
}

class LlhlsTimeout {
  bool? track;
  Data2? data;
  bool? group;

  LlhlsTimeout({this.track, this.data, this.group});

  LlhlsTimeout.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) track = json["track"];
    if (json["data"] is Map) {
      data = json["data"] == null ? null : Data2.fromJson(json["data"]);
    }
    if (json["group"] is bool) group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["track"] = track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = group;
    return data;
  }
}

class Data2 {
  Data2();

  Data2.fromJson(Map<String, dynamic> json);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};

    return data;
  }
}

class StatsFresnel {
  bool? track;
  Data1? data;
  bool? group;

  StatsFresnel({this.track, this.data, this.group});

  StatsFresnel.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) track = json["track"];
    if (json["data"] is Map) {
      data = json["data"] == null ? null : Data1.fromJson(json["data"]);
    }
    if (json["group"] is bool) group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["track"] = track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = group;
    return data;
  }
}

class Data1 {
  Data1();

  Data1.fromJson(Map<String, dynamic> json);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};

    return data;
  }
}

class Chromecast {
  bool? track;
  Data? data;
  bool? group;

  Chromecast({this.track, this.data, this.group});

  Chromecast.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) track = json["track"];
    if (json["data"] is Map) {
      data = json["data"] == null ? null : Data.fromJson(json["data"]);
    }
    if (json["group"] is bool) group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["track"] = track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = group;
    return data;
  }
}

class Data {
  Data();

  Data.fromJson(Map<String, dynamic> json);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};

    return data;
  }
}

class FileCodecs {
  Hevc? hevc;
  List<String>? av1;
  List<String>? avc;

  FileCodecs({this.hevc, this.av1, this.avc});

  FileCodecs.fromJson(Map<String, dynamic> json) {
    if (json["hevc"] is Map) {
      hevc = json["hevc"] == null ? null : Hevc.fromJson(json["hevc"]);
    }
    if (json["av1"] is List) {
      av1 = json["av1"] == null ? null : List<String>.from(json["av1"]);
    }
    if (json["avc"] is List) {
      avc = json["avc"] == null ? null : List<String>.from(json["avc"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (hevc != null) data["hevc"] = hevc?.toJson();
    if (av1 != null) data["av1"] = av1;
    if (avc != null) data["avc"] = avc;
    return data;
  }
}

class Hevc {
  List<dynamic>? hdr;
  List<dynamic>? sdr;
  List<dynamic>? dvh1;

  Hevc({this.hdr, this.sdr, this.dvh1});

  Hevc.fromJson(Map<String, dynamic> json) {
    if (json["hdr"] is List) hdr = json["hdr"] ?? [];
    if (json["sdr"] is List) sdr = json["sdr"] ?? [];
    if (json["dvh1"] is List) dvh1 = json["dvh1"] ?? [];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (hdr != null) data["hdr"] = hdr;
    if (sdr != null) data["sdr"] = sdr;
    if (dvh1 != null) data["dvh1"] = dvh1;
    return data;
  }
}

class Flags {
  int? dnt;
  String? preloadVideo;
  int? plays;
  int? partials;
  int? autohideControls;

  Flags(
      {this.dnt,
      this.preloadVideo,
      this.plays,
      this.partials,
      this.autohideControls});

  Flags.fromJson(Map<String, dynamic> json) {
    if (json["dnt"] is int) dnt = json["dnt"];
    if (json["preload_video"] is String) {
      preloadVideo = json["preload_video"];
    }
    if (json["plays"] is int) plays = json["plays"];
    if (json["partials"] is int) partials = json["partials"];
    if (json["autohide_controls"] is int) {
      autohideControls = json["autohide_controls"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["dnt"] = dnt;
    data["preload_video"] = preloadVideo;
    data["plays"] = plays;
    data["partials"] = partials;
    data["autohide_controls"] = autohideControls;
    return data;
  }
}

class Urls {
  String? bareboneJs;
  String? testImp;
  String? jsBase;
  String? fresnel;
  String? js;
  String? proxy;
  String? muxUrl;
  String? fresnelMimirInputsUrl;
  String? fresnelChunkUrl;
  String? threeJs;
  String? vuidJs;
  String? fresnelManifestUrl;
  String? chromelessCss;
  String? playerTelemetryUrl;
  String? chromelessJs;
  String? css;

  Urls(
      {this.bareboneJs,
      this.testImp,
      this.jsBase,
      this.fresnel,
      this.js,
      this.proxy,
      this.muxUrl,
      this.fresnelMimirInputsUrl,
      this.fresnelChunkUrl,
      this.threeJs,
      this.vuidJs,
      this.fresnelManifestUrl,
      this.chromelessCss,
      this.playerTelemetryUrl,
      this.chromelessJs,
      this.css});

  Urls.fromJson(Map<String, dynamic> json) {
    if (json["barebone_js"] is String) bareboneJs = json["barebone_js"];
    if (json["test_imp"] is String) testImp = json["test_imp"];
    if (json["js_base"] is String) jsBase = json["js_base"];
    if (json["fresnel"] is String) fresnel = json["fresnel"];
    if (json["js"] is String) js = json["js"];
    if (json["proxy"] is String) proxy = json["proxy"];
    if (json["mux_url"] is String) muxUrl = json["mux_url"];
    if (json["fresnel_mimir_inputs_url"] is String) {
      fresnelMimirInputsUrl = json["fresnel_mimir_inputs_url"];
    }
    if (json["fresnel_chunk_url"] is String) {
      fresnelChunkUrl = json["fresnel_chunk_url"];
    }
    if (json["three_js"] is String) threeJs = json["three_js"];
    if (json["vuid_js"] is String) vuidJs = json["vuid_js"];
    if (json["fresnel_manifest_url"] is String) {
      fresnelManifestUrl = json["fresnel_manifest_url"];
    }
    if (json["chromeless_css"] is String) {
      chromelessCss = json["chromeless_css"];
    }
    if (json["player_telemetry_url"] is String) {
      playerTelemetryUrl = json["player_telemetry_url"];
    }
    if (json["chromeless_js"] is String) {
      chromelessJs = json["chromeless_js"];
    }
    if (json["css"] is String) css = json["css"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["barebone_js"] = bareboneJs;
    data["test_imp"] = testImp;
    data["js_base"] = jsBase;
    data["fresnel"] = fresnel;
    data["js"] = js;
    data["proxy"] = proxy;
    data["mux_url"] = muxUrl;
    data["fresnel_mimir_inputs_url"] = fresnelMimirInputsUrl;
    data["fresnel_chunk_url"] = fresnelChunkUrl;
    data["three_js"] = threeJs;
    data["vuid_js"] = vuidJs;
    data["fresnel_manifest_url"] = fresnelManifestUrl;
    data["chromeless_css"] = chromelessCss;
    data["player_telemetry_url"] = playerTelemetryUrl;
    data["chromeless_js"] = chromelessJs;
    data["css"] = css;
    return data;
  }
}

class Build {
  String? backend;
  String? js;

  Build({this.backend, this.js});

  Build.fromJson(Map<String, dynamic> json) {
    if (json["backend"] is String) backend = json["backend"];
    if (json["js"] is String) js = json["js"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["backend"] = backend;
    data["js"] = js;
    return data;
  }
}

class Cookie {
  int? volume;
  CaptionsStyles? captionsStyles;
  int? scaling;
  dynamic captions;
  dynamic quality;
  int? hd;

  Cookie(
      {this.volume,
      this.captionsStyles,
      this.scaling,
      this.captions,
      this.quality,
      this.hd});

  Cookie.fromJson(Map<String, dynamic> json) {
    if (json["volume"] is int) volume = json["volume"];
    if (json["captions_styles"] is Map) {
      captionsStyles = json["captions_styles"] == null
          ? null
          : CaptionsStyles.fromJson(json["captions_styles"]);
    }
    if (json["scaling"] is int) scaling = json["scaling"];
    captions = json["captions"];
    quality = json["quality"];
    if (json["hd"] is int) hd = json["hd"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["volume"] = volume;
    if (captionsStyles != null) {
      data["captions_styles"] = captionsStyles?.toJson();
    }
    data["scaling"] = scaling;
    data["captions"] = captions;
    data["quality"] = quality;
    data["hd"] = hd;
    return data;
  }
}

class CaptionsStyles {
  dynamic fontFamily;
  dynamic fontSize;
  dynamic fontOpacity;
  dynamic color;
  dynamic windowColor;
  dynamic edgeStyle;
  dynamic bgColor;
  dynamic windowOpacity;
  dynamic bgOpacity;

  CaptionsStyles(
      {this.fontFamily,
      this.fontSize,
      this.fontOpacity,
      this.color,
      this.windowColor,
      this.edgeStyle,
      this.bgColor,
      this.windowOpacity,
      this.bgOpacity});

  CaptionsStyles.fromJson(Map<String, dynamic> json) {
    fontFamily = json["fontFamily"];
    fontSize = json["fontSize"];
    fontOpacity = json["fontOpacity"];
    color = json["color"];
    windowColor = json["windowColor"];
    edgeStyle = json["edgeStyle"];
    bgColor = json["bgColor"];
    windowOpacity = json["windowOpacity"];
    bgOpacity = json["bgOpacity"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["fontFamily"] = fontFamily;
    data["fontSize"] = fontSize;
    data["fontOpacity"] = fontOpacity;
    data["color"] = color;
    data["windowColor"] = windowColor;
    data["edgeStyle"] = edgeStyle;
    data["bgColor"] = bgColor;
    data["windowOpacity"] = windowOpacity;
    data["bgOpacity"] = bgOpacity;
    return data;
  }
}

class Client {
  String? ip;

  Client({this.ip});

  Client.fromJson(Map<String, dynamic> json) {
    if (json["ip"] is String) ip = json["ip"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["ip"] = ip;
    return data;
  }
}

class TextTracks {
  String? lang;
  String? url;
  String? kind;
  int? id;
  String? label;

  TextTracks({this.lang, this.url, this.kind, this.id, this.label});

  TextTracks.fromJson(Map<String, dynamic> json) {
    if (json["lang"] is String) lang = json["lang"];
    if (json["url"] is String) url = json["url"];
    if (json["kind"] is String) kind = json["kind"];
    if (json["id"] is int) id = json["id"];
    if (json["label"] is String) label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["lang"] = lang;
    data["url"] = url;
    data["kind"] = kind;
    data["id"] = id;
    data["label"] = label;
    return data;
  }
}

class GcDebug {
  String? bucket;

  GcDebug({this.bucket});

  GcDebug.fromJson(Map<String, dynamic> json) {
    if (json["bucket"] is String) bucket = json["bucket"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["bucket"] = bucket;
    return data;
  }
}

class ThumbPreview {
  String? url;
  int? frameWidth;
  int? height;
  int? width;
  int? frameHeight;
  int? frames;
  int? columns;

  ThumbPreview(
      {this.url,
      this.frameWidth,
      this.height,
      this.width,
      this.frameHeight,
      this.frames,
      this.columns});

  ThumbPreview.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["frame_width"] is int) frameWidth = json["frame_width"];
    if (json["height"] is int) height = json["height"];
    if (json["width"] is int) width = json["width"];
    if (json["frame_height"] is int) frameHeight = json["frame_height"];
    if (json["frames"] is int) frames = json["frames"];
    if (json["columns"] is int) columns = json["columns"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["frame_width"] = frameWidth;
    data["height"] = height;
    data["width"] = width;
    data["frame_height"] = frameHeight;
    data["frames"] = frames;
    data["columns"] = columns;
    return data;
  }
}

class Sentry {
  String? url;
  bool? enabled;
  bool? debugEnabled;
  int? debugIntent;

  Sentry({this.url, this.enabled, this.debugEnabled, this.debugIntent});

  Sentry.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["enabled"] is bool) enabled = json["enabled"];
    if (json["debug_enabled"] is bool) {
      debugEnabled = json["debug_enabled"];
    }
    if (json["debug_intent"] is int) debugIntent = json["debug_intent"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["enabled"] = enabled;
    data["debug_enabled"] = debugEnabled;
    data["debug_intent"] = debugIntent;
    return data;
  }
}

class Files {
  Dash? dash;
  Hls? hls;
  List<Progressive>? progressive;

  Files({this.dash, this.hls, this.progressive});

  Files.fromJson(Map<String, dynamic> json) {
    if (json["dash"] is Map) {
      dash = json["dash"] == null ? null : Dash.fromJson(json["dash"]);
    }
    if (json["hls"] is Map) {
      hls = json["hls"] == null ? null : Hls.fromJson(json["hls"]);
    }
    if (json["progressive"] is List) {
      progressive = json["progressive"] == null
          ? null
          : (json["progressive"] as List)
              .map((e) => Progressive.fromJson(e))
              .toList();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (dash != null) data["dash"] = dash?.toJson();
    if (hls != null) data["hls"] = hls?.toJson();
    if (progressive != null) {
      data["progressive"] = progressive?.map((e) => e.toJson()).toList();
    }
    return data;
  }
}

class Progressive {
  String? profile;
  int? width;
  String? mime;
  int? fps;
  String? url;
  String? cdn;
  String? quality;
  String? id;
  String? origin;
  int? height;

  Progressive(
      {this.profile,
      this.width,
      this.mime,
      this.fps,
      this.url,
      this.cdn,
      this.quality,
      this.id,
      this.origin,
      this.height});

  Progressive.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) profile = json["profile"];
    if (json["width"] is int) width = json["width"];
    if (json["mime"] is String) mime = json["mime"];
    if (json["fps"] is int) fps = json["fps"];
    if (json["url"] is String) url = json["url"];
    if (json["cdn"] is String) cdn = json["cdn"];
    if (json["quality"] is String) quality = json["quality"];
    if (json["id"] is String) id = json["id"];
    if (json["origin"] is String) origin = json["origin"];
    if (json["height"] is int) height = json["height"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["profile"] = profile;
    data["width"] = width;
    data["mime"] = mime;
    data["fps"] = fps;
    data["url"] = url;
    data["cdn"] = cdn;
    data["quality"] = quality;
    data["id"] = id;
    data["origin"] = origin;
    data["height"] = height;
    return data;
  }
}

class Hls {
  bool? separateAv;
  String? defaultCdn;
  Cdns1? cdns;
  String? captions;

  Hls({this.separateAv, this.defaultCdn, this.cdns, this.captions});

  Hls.fromJson(Map<String, dynamic> json) {
    if (json["separate_av"] is bool) separateAv = json["separate_av"];
    if (json["default_cdn"] is String) defaultCdn = json["default_cdn"];
    if (json["cdns"] is Map) {
      cdns = json["cdns"] == null ? null : Cdns1.fromJson(json["cdns"]);
    }
    if (json["captions"] is String) captions = json["captions"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["separate_av"] = separateAv;
    data["default_cdn"] = defaultCdn;
    if (cdns != null) data["cdns"] = cdns?.toJson();
    data["captions"] = captions;
    return data;
  }
}

class Cdns1 {
  AkfireInterconnectQuic1? akfireInterconnectQuic;
  FastlySkyfire1? fastlySkyfire;

  Cdns1({this.akfireInterconnectQuic, this.fastlySkyfire});

  Cdns1.fromJson(Map<String, dynamic> json) {
    if (json["akfire_interconnect_quic"] is Map) {
      akfireInterconnectQuic = json["akfire_interconnect_quic"] == null
          ? null
          : AkfireInterconnectQuic1.fromJson(json["akfire_interconnect_quic"]);
    }
    if (json["fastly_skyfire"] is Map) {
      fastlySkyfire = json["fastly_skyfire"] == null
          ? null
          : FastlySkyfire1.fromJson(json["fastly_skyfire"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (akfireInterconnectQuic != null) {
      data["akfire_interconnect_quic"] = akfireInterconnectQuic?.toJson();
    }
    if (fastlySkyfire != null) {
      data["fastly_skyfire"] = fastlySkyfire?.toJson();
    }
    return data;
  }
}

class FastlySkyfire1 {
  String? url;
  String? origin;
  String? av1Url;
  String? captions;
  String? avcUrl;

  FastlySkyfire1(
      {this.url, this.origin, this.av1Url, this.captions, this.avcUrl});

  FastlySkyfire1.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["origin"] is String) origin = json["origin"];
    if (json["av1_url"] is String) av1Url = json["av1_url"];
    if (json["captions"] is String) captions = json["captions"];
    if (json["avc_url"] is String) avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["origin"] = origin;
    data["av1_url"] = av1Url;
    data["captions"] = captions;
    data["avc_url"] = avcUrl;
    return data;
  }
}

class AkfireInterconnectQuic1 {
  String? url;
  String? origin;
  String? av1Url;
  String? captions;
  String? avcUrl;

  AkfireInterconnectQuic1(
      {this.url, this.origin, this.av1Url, this.captions, this.avcUrl});

  AkfireInterconnectQuic1.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["origin"] is String) origin = json["origin"];
    if (json["av1_url"] is String) av1Url = json["av1_url"];
    if (json["captions"] is String) captions = json["captions"];
    if (json["avc_url"] is String) avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["origin"] = origin;
    data["av1_url"] = av1Url;
    data["captions"] = captions;
    data["avc_url"] = avcUrl;
    return data;
  }
}

class Dash {
  List<StreamsAvc>? streamsAvc;
  Cdns? cdns;
  List<Streams>? streams;
  List<StreamsAv1>? streamsAv1;
  bool? separateAv;
  String? defaultCdn;

  Dash(
      {this.streamsAvc,
      this.cdns,
      this.streams,
      this.streamsAv1,
      this.separateAv,
      this.defaultCdn});

  Dash.fromJson(Map<String, dynamic> json) {
    if (json["streams_avc"] is List) {
      streamsAvc = json["streams_avc"] == null
          ? null
          : (json["streams_avc"] as List)
              .map((e) => StreamsAvc.fromJson(e))
              .toList();
    }
    if (json["cdns"] is Map) {
      cdns = json["cdns"] == null ? null : Cdns.fromJson(json["cdns"]);
    }
    if (json["streams"] is List) {
      streams = json["streams"] == null
          ? null
          : (json["streams"] as List).map((e) => Streams.fromJson(e)).toList();
    }
    if (json["streams_av1"] is List) {
      streamsAv1 = json["streams_av1"] == null
          ? null
          : (json["streams_av1"] as List)
              .map((e) => StreamsAv1.fromJson(e))
              .toList();
    }
    if (json["separate_av"] is bool) separateAv = json["separate_av"];
    if (json["default_cdn"] is String) defaultCdn = json["default_cdn"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (streamsAvc != null) {
      data["streams_avc"] = streamsAvc?.map((e) => e.toJson()).toList();
    }
    if (cdns != null) data["cdns"] = cdns?.toJson();
    if (streams != null) {
      data["streams"] = streams?.map((e) => e.toJson()).toList();
    }
    if (streamsAv1 != null) {
      data["streams_av1"] = streamsAv1?.map((e) => e.toJson()).toList();
    }
    data["separate_av"] = separateAv;
    data["default_cdn"] = defaultCdn;
    return data;
  }
}

class StreamsAv1 {
  int? profile;
  String? quality;
  String? id;
  int? fps;

  StreamsAv1({this.profile, this.quality, this.id, this.fps});

  StreamsAv1.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is int) profile = json["profile"];
    if (json["quality"] is String) quality = json["quality"];
    if (json["id"] is String) id = json["id"];
    if (json["fps"] is int) fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["profile"] = profile;
    data["quality"] = quality;
    data["id"] = id;
    data["fps"] = fps;
    return data;
  }
}

class Streams {
  String? profile;
  String? quality;
  String? id;
  int? fps;

  Streams({this.profile, this.quality, this.id, this.fps});

  Streams.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) profile = json["profile"];
    if (json["quality"] is String) quality = json["quality"];
    if (json["id"] is String) id = json["id"];
    if (json["fps"] is int) fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["profile"] = profile;
    data["quality"] = quality;
    data["id"] = id;
    data["fps"] = fps;
    return data;
  }
}

class Cdns {
  AkfireInterconnectQuic? akfireInterconnectQuic;
  FastlySkyfire? fastlySkyfire;

  Cdns({this.akfireInterconnectQuic, this.fastlySkyfire});

  Cdns.fromJson(Map<String, dynamic> json) {
    if (json["akfire_interconnect_quic"] is Map) {
      akfireInterconnectQuic = json["akfire_interconnect_quic"] == null
          ? null
          : AkfireInterconnectQuic.fromJson(json["akfire_interconnect_quic"]);
    }
    if (json["fastly_skyfire"] is Map) {
      fastlySkyfire = json["fastly_skyfire"] == null
          ? null
          : FastlySkyfire.fromJson(json["fastly_skyfire"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (akfireInterconnectQuic != null) {
      data["akfire_interconnect_quic"] = akfireInterconnectQuic?.toJson();
    }
    if (fastlySkyfire != null) {
      data["fastly_skyfire"] = fastlySkyfire?.toJson();
    }
    return data;
  }
}

class FastlySkyfire {
  String? url;
  String? origin;
  String? av1Url;
  String? avcUrl;

  FastlySkyfire({this.url, this.origin, this.av1Url, this.avcUrl});

  FastlySkyfire.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["origin"] is String) origin = json["origin"];
    if (json["av1_url"] is String) av1Url = json["av1_url"];
    if (json["avc_url"] is String) avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["origin"] = origin;
    data["av1_url"] = av1Url;
    data["avc_url"] = avcUrl;
    return data;
  }
}

class AkfireInterconnectQuic {
  String? url;
  String? origin;
  String? av1Url;
  String? avcUrl;

  AkfireInterconnectQuic({this.url, this.origin, this.av1Url, this.avcUrl});

  AkfireInterconnectQuic.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) url = json["url"];
    if (json["origin"] is String) origin = json["origin"];
    if (json["av1_url"] is String) av1Url = json["av1_url"];
    if (json["avc_url"] is String) avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["url"] = url;
    data["origin"] = origin;
    data["av1_url"] = av1Url;
    data["avc_url"] = avcUrl;
    return data;
  }
}

class StreamsAvc {
  String? profile;
  String? quality;
  String? id;
  int? fps;

  StreamsAvc({this.profile, this.quality, this.id, this.fps});

  StreamsAvc.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) profile = json["profile"];
    if (json["quality"] is String) quality = json["quality"];
    if (json["id"] is String) id = json["id"];
    if (json["fps"] is int) fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["profile"] = profile;
    data["quality"] = quality;
    data["id"] = id;
    data["fps"] = fps;
    return data;
  }
}

class Thumbs {
  String? base;

  Thumbs({this.base});

  Thumbs.fromJson(Map<String, dynamic> json) {
    base = json["base"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["base"] = base;
    return _data;
  }
}
